name: Benchmark BufferPool
on:
  push:
    branches:
      - '*'
      - '!benchmark'

jobs:
  RunBenchmarks:
    runs-on: ubuntu-latest
    env:
      RUNNER_TOOL_CACHE: /opt/hostedtoolcache
      GOMODCACHE: /opt/hostedtoolcache/go/pkg/mod
    steps:
      - name: Check out repository code
        uses: actions/checkout@v4
      - name: Get Go
        uses: actions/setup-go@v3
        with:
          go-version-file: 'go.mod'
        check-latest: true
        cache: true
      - name: Run benchmark
        run: cd benchmark && go run . -setid